Cloud 1.14.4 Plugins

BluesShadow

Premium
29 Dez. 2018
7
18
248
Moinsen,
ich wollte mal fragen wie es mit den Plugins für die 1.14.4 auf den Clouds aussieht da die 1.14.4 Ja schon etwas länger draußen ist und die Plugins vllt zum teil auch schon draußen sind, ob man die wen sie schon da sind mal Updaten könnte.
 
  • Like
Reaktionen: Dadi1

Dadi1

Senior-Content
22 Dez. 2016
3.509
1
16.725
1.580
Österreich
twitter.com
Moinsen,
ich wollte mal fragen wie es mit den Plugins für die 1.14.4 auf den Clouds aussieht da die 1.14.4 Ja schon etwas länger draußen ist und die Plugins vllt zum teil auch schon draußen sind, ob man die wen sie schon da sind mal Updaten könnte.
Ich glaube das wird noch ein bisschen auf sich warten lassen, da die Cloud, wie man auch im Changelog sieht, nicht wirklich aktiv geupdatet wird, da andere Sachen derzeit höhere Prioritäten haben :/
 

BluesShadow

Premium
29 Dez. 2018
7
18
248
Oh das ist aber sehr schade da ich echt lust hätte mit paar Kumpels ne Cloud zu machen auf der 1.14 aber kann auch verstehen das es wichtigeres gibt, aber ist das den so Schwirig/Zeitaufwendig die Plugins zu Updaten ?
 

PATRIIIIIIIIIICK

Mitglied
2 Jan. 2020
121
68
360
22
aber ist das den so Schwirig/Zeitaufwendig die Plugins zu Updaten ?
Nein, das ist es nicht. Generell müssen Plugins nur selten geupdatet werden (sofern sie kein NMS benutzen). Das heißt, dass ein Plugin, programmiert in der 1.12, wahrscheinlich auch in der 1.11, 1.13 oder 1.14 funktioniert.
 
Zuletzt bearbeitet:

_SilverPhoenix

Mitglied
4 Aug. 2019
363
773
580
20
@sp9z 1.12.2 Plugins funktionieren nicht in der 1.13.2 ohne Weiteres.

Durch das Entfernen der Ids, dazu ändern sich auch manchmal Methoden.
 

PATRIIIIIIIIIICK

Mitglied
2 Jan. 2020
121
68
360
22
@sp9z 1.12.2 Plugins funktionieren nicht in der 1.13.2 ohne Weiteres.

Durch das Entfernen der Ids, dazu ändern sich auch manchmal Methoden.
Doch, die API-Änderungen sind immer sehr gering. Das sind z.B. alle Änderungen von der 1.14 zur 1.15:
Achievement, FlowerPot (BlockState) and NoteBlock (BlockState) classes have been removed. Plugins attempting to use these classes on 1.13.x or 1.14.x would not have worked as intended, but now they will error.


    • Several long deprecated spigot() APIs (isInvulnerable, getLocale, isUnbreakable) have been removed since they are now present in the main API.


    • Complex recipes (ie those with dynamic outputs such as armor dyeing) will now return a placeholder ComplexRecipe class, rather than a dummy ShapedRecipe.


    • Block biome information is now 3-dimensional, not just column based.


    • SnakeYAML has been updated to 1.25.

Ich habe ein Plugin in der 1.13 programmiert, welches Daten zwischen Servern von Spieler mit Sockets synchronisiert. Es funktioniert problemlos von der 1.8 bis zur 1.15 ohne Änderungen.

Außerdem weiß ich nicht welche Ids du meinst. Item-Ids wurden in der 1.8 entfernt.
 
Zuletzt bearbeitet:

Janmm14

Supremium
25 Feb. 2014
3.849
5
4.306
1.565
Doch, die API-Änderungen sind immer sehr gering. Das sind z.B. alle Änderungen von der 1.14 zur 1.15:


Ich habe ein Plugin in der 1.13 programmiert, welches Daten zwischen Servern von Spieler mit Sockets synchronisiert. Es funktioniert problemlos von der 1.8 bis zur 1.15 ohne Änderungen.

Außerdem weiß ich nicht welche Ids du meinst. Item-Ids wurden in der 1.8 entfernt.
Die Spigot-API wurde mit 1.13 umgekrempelt, jedoch existiert ein Kompatibilitätslayer, sodass vieles trotzdem noch funktionieren sollte.
Item-IDs existieren in der 1.8 sehr wohl noch.
 
  • Like
Reaktionen: PATRIIIIIIIIIICK